var slideIndex = 0;
var slides = document.getElementsByClassName("slide");
showSlides();

function showSlides() {
    for (var i = 0; i < slides.length; i++) {
        slides[i].style.display = "none";
    }
    slideIndex++;
    if (slideIndex > slides.length) {
        slideIndex = 1;
    }
    slides[slideIndex - 1].style.display = "block";
    slides[slideIndex - 1].style.animation = "slideRightToLeft 2s ease-in-out";
    setTimeout(function () {
        slides[slideIndex - 1].style.animation = ""; // Dừng animation của slide hiện tại
        if (slideIndex === slides.length) {
            slideIndex = 0; // Đặt slideIndex về 0 để quay lại ảnh đầu tiên
        }
        showSlides(); // Gọi lại hàm showSlides để chuyển tới ảnh tiếp theo
    }, 2000);
}